# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_StackOfNames Class Reference

`#include <ExprIntrp_StackOfNames.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | ExprIntrp_StackOfNames ()
Standard_EXPORT const ExprIntrp_StackOfNames & | Assign (const ExprIntrp_StackOfNames &Other)
const ExprIntrp_StackOfNames & | operator= (const ExprIntrp_StackOfNames &Other)
Standard_Boolean | IsEmpty () const
Standard_Integer | Depth () const
Standard_EXPORT const TCollection_AsciiString & | Top () const
Standard_EXPORT void | Push (const TCollection_AsciiString &I)
Standard_EXPORT void | Pop ()
Standard_EXPORT void | Clear ()
| ~ExprIntrp_StackOfNames ()
Standard_EXPORT TCollection_AsciiString & | ChangeTop ()

## Private Member Functions

Standard_EXPORT | ExprIntrp_StackOfNames (const ExprIntrp_StackOfNames &Other)

## Private Attributes

Standard_Address | myTop
Standard_Integer | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT ExprIntrp_StackOfNames::ExprIntrp_StackOfNames | ( |  | ) |

ExprIntrp_StackOfNames::~ExprIntrp_StackOfNames | ( |  | ) | `[inline]`

Standard_EXPORT ExprIntrp_StackOfNames::ExprIntrp_StackOfNames | ( | const ExprIntrp_StackOfNames & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const ExprIntrp_StackOfNames& ExprIntrp_StackOfNames::Assign | ( | const ExprIntrp_StackOfNames & | Other | ) |

Standard_EXPORT TCollection_AsciiString& ExprIntrp_StackOfNames::ChangeTop | ( |  | ) |

Standard_EXPORT void ExprIntrp_StackOfNames::Clear | ( |  | ) |

Standard_Integer ExprIntrp_StackOfNames::Depth | ( |  | ) | const

Standard_Boolean ExprIntrp_StackOfNames::IsEmpty | ( |  | ) | const

void ExprIntrp_StackOfNames::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ExprIntrp_StackOfNames::operator new | ( | size_t | size | ) | `[inline]`

void* ExprIntrp_StackOfNames::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const ExprIntrp_StackOfNames& ExprIntrp_StackOfNames::operator= | ( | const ExprIntrp_StackOfNames & | Other | ) | `[inline]`

Standard_EXPORT void ExprIntrp_StackOfNames::Pop | ( |  | ) |

Standard_EXPORT void ExprIntrp_StackOfNames::Push | ( | const TCollection_AsciiString & | I | ) |

Standard_EXPORT const TCollection_AsciiString& ExprIntrp_StackOfNames::Top | ( |  | ) | const

## Field Documentation

Standard_Integer ExprIntrp_StackOfNames::myDepth `[private]`

Standard_Address ExprIntrp_StackOfNames::myTop `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_StackOfNames.hxx